Take the 2-minute tour ×
Bitcoin Stack Exchange is a question and answer site for Bitcoin crypto-currency enthusiasts. It's 100% free, no registration required.

While trying to retrieve the private key from satoshi bitcoin client i'm getting this error code:

Safe mode: Warning: Displayed transactions may not be correct! You may need to upgrade, or other nodes may need to upgrade. (code -2)

Does anyone know how to fix this?

It is QT VERSION 4.8.2 & v0.7.2-beta in the lower right hand corner it says it is catching up but has not added any blocks for a really, really, really, long time, it sitting on 90.13% . What else do you need to know?

I am Technically inept so I need to be clear so I dont screw up. I NEED THE PRIVATE KEYS for 2 ADDRESSES generated by this bitcoin-qt, when I type in dumpprivkey address I get the above error message. Will upgrading cause a conflict? What is the proper way to upgrade as I dont see that as an option?

share|improve this question
1  
Are you sure this is the bitcoin client and not some other coin? What version of the client do you have? –  David Schwartz Feb 25 '13 at 10:21
    
If it is about Freicoin, this message was showing up because there was a malevolent hard fork (didn't followed freicoin rules) that has been actually longer than freicoin's chain for some time. When the client sees a longer chain that doesn't follow the rules it enters in safe mode, disabling some features such as sending coins. The attack seems to have stopped, but you may need to run the client disabling the auto-safe-mode stuff. Is it about Freicoin ? –  jtimon Feb 25 '13 at 15:37
    
Before anything: make a backup of wallet.dat, by using the backup function in the menu. Then, just install 0.8 and let it rebuild its database. –  Pieter Wuille Feb 25 '13 at 21:31

1 Answer 1

Typically, this is caused by a corrupted block chain database - it causes your client to consider the real chain invalid, and try to find another one. Since the real chain remains the longest obviously, it shows this warning, as it notices its opinion differs from the rest of the network.

The solution is deleting blkindex.dat/blk000?.dat and let redownload the chain. In case you're running 0.8 (if not, upgrade), you can just use -reindex to rebuild the database (no downloading necessary in that case).

share|improve this answer
    
Also see bitcointalk.org/?topic=4943.0. –  pyramids Feb 28 at 20:53

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.